net.sf.jasperreports.export

## Interface TextExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration
  All Known Implementing Classes:
    SimpleTextExporterConfiguration

      public interface TextExporterConfiguration
      extends ExporterConfiguration

  Interface containing settings used by the pure text exporter.
  Version:
    $Id: TextExporterConfiguration.java 6993 2014-03-28 10:33:00Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRTextExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_LINE_SEPARATOR` Property whose value is used as default for the `getLineSeparator()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PAGE_SEPARATOR` Property whose value is used as default for the `getPageSeparator()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLineSeparator()` Returns a string representing the separator between two lines of text.
    `java.lang.String` | `getPageSeparator()` Returns a string representing text that will be inserted between pages of the generated report.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_PAGE_SEPARATOR

          static final java.lang.String PROPERTY_PAGE_SEPARATOR

      Property whose value is used as default for the `getPageSeparator()` export configuration setting. The default is the duplicated value of the "line.separator" system property.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_LINE_SEPARATOR

          static final java.lang.String PROPERTY_LINE_SEPARATOR

      Property whose value is used as default for the `getLineSeparator()` export configuration setting. The default is the value of the "line.separator" system property.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### getPageSeparator

          java.lang.String getPageSeparator()

      Returns a string representing text that will be inserted between pages of the generated report. By default, JasperReports separates pages by two empty lines, but this behavior can be overridden by this parameter.

    - #### getLineSeparator

          java.lang.String getLineSeparator()

      Returns a string representing the separator between two lines of text. This parameter is useful since line separators can vary from one operating system to another. The default value is the system "line.separator" property.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com